# Настройка OrangePI 5 Plus Debian

## Установка Proxmox на OrangePI 5 Plus Debian

https://github.com/jiangcuo/Proxmox-Arm64/wiki/Install-Proxmox-VE-on-Debian-bullseye

1. Указать внешний IP в hosts

```bash
da2001@opve:~$ cat /etc/hosts
127.0.0.1   localhost
192.168.13.14   opve.dav.lan    opve


::1         localhost orangepi5plus ip6-localhost ip6-loopback
fe00::0     ip6-localnet
ff00::0     ip6-mcastprefix
ff02::1     ip6-allnodes
ff02::2     ip6-allrouters
```

1. Добавить репозиторий Proxmox VE

```bash
echo "deb https://global.mirrors.apqa.cn/proxmox/debian/pve bookworm port" > /etc/apt/sources.list.d/pveport.list
```

2. Добавить ключ репозитория

```bash
curl https://global.mirrors.apqa.cn/proxmox/debian/pveport.gpg -o /etc/apt/trusted.gpg.d/pveport.gpg
```

3. Обновить индексы пакетов

```bash
apt update && apt dist-upgrade -y
```

4. Установить необходимые пакеты

```bash
apt install ifupdown2
apt install proxmox-ve postfix open-iscsi
```

5. Перезагрузить устройство

```bash
reboot
```

***

## Debian 12 преднастроенный

```bash
su -

adduser da2001

usermod -aG 5,6,20,27,29,44,46,60,100,101,105,109,111,996,999 da2001

hostnamectl set-hostname opi.dav.lan

tee /etc/hosts<<EOF
192.168.13.14 opi.dav.lan opi
EOF

apt update && apt dist-upgrade -y
apt autoremove -y

orangepi-config

```

## Docker

Если не получилось настроить Proxmox, можно настроить Docker

### Сеть MacVLAN

```bash
docker network create -d macvlan \
    --subnet=192.168.13.0/24 \
    --gateway=192.168.13.1  \
    -o parent=enP4p65s0 \
     macvlan-net
```

где

`enP4p65s0` - сетевой интерфейс, подключенный к сети

**Узел docker не сможет взаимодействовать с созданной сетью macvlan, чтобы это изменить, необходимо создать интерфейс macvlan на узле со своим IP и маршрутом в сеть docker macvlan. Другие узлы сети без проблем взаимодействуют с клиентами сети docker macvlan, а это было целью. Таким образом, создавать дополнительный интерфейс и маршрут на узле не обязательно**

### Portainer

```bash
docker volume create portainer_data

docker run -d -p 8000:8000 -p 9443:9443 --name portainer --restart=always -v /var/run/docker.sock:/var/run/docker.sock -v portainer_data:/data portainer/portainer-ce:latest
```

### Adguard Home

```bash
cd /home/da2001
mkdir /home/da2001/adguardhome && cd /home/da2001/adguardhome

docker run --name adguardhome\
    --restart unless-stopped\
    --network=macvlan-net \
    --ip=192.168.13.28 \
    --mac-address=02:42:ac:11:00:02 \
    -v /home/da2001/adguardhome/work:/opt/adguardhome/work\
    -v /home/da2001/adguardhome/conf:/opt/adguardhome/conf\
    -p 53:53/tcp -p 53:53/udp\
    -p 67:67/udp -p 68:68/udp\
    -p 80:80/tcp -p 443:443/tcp -p 443:443/udp -p 3000:3000/tcp\
    -p 853:853/tcp\
    -p 784:784/udp -p 853:853/udp -p 8853:8853/udp\
    -p 5443:5443/tcp -p 5443:5443/udp\
    -d adguard/adguardhome
```

### BIND DNS

```bash
cd /home/da2001
mkdir /home/da2001/bind

docker run --name bind9 \
    --restart unless-stopped\
    --network=macvlan-net \
    --ip=192.168.13.27 \
    --mac-address=02:42:ac:11:00:03 \
    -v /etc/timezone:/etc/timezone:ro \
    -p 53:53 \
    -v /home/da2001/bind/etc:/etc/bind \
    -v /home/da2001/bind/cache:/var/cache/bind \
    -v /home/da2001/bind/records:/var/lib/bind \
    -e BIND9_USER=bind \
    -d ubuntu/bind9
```

***

## Debian 11

su -

adduser da2001

usermod -aG 5,6,20,27,29,44,46,60,100,101,105,109,111,996,999 da2001

hostnamectl set-hostname opve1.dav.lan

tee /etc/hosts<<EOF
192.168.13.14 opve1.dav.lan opve1
EOF

mkdir /mnt/{iso,vms,backup}
sudo tee -a /etc/fstab<<EOF

UUID=091632c3-e0b2-4d27-9595-a00d59a3e50c    /mnt/vms    ext4     defaults     0     0
UUID=8a388dd8-000d-4f15-8e23-9838a460c378    /mnt/backup ext4     defaults     0     0
UUID=6fbd6031-3631-41b5-b4e8-e2b301bb59e5    /mnt/iso    ext4     defaults     0     0
EOF

systemctl daemon-reload
mount -a

apt update && apt full-upgrade -y

echo "deb https://global.mirrors.apqa.cn/proxmox/debian/pve bullseye port">/etc/apt/sources.list.d/pveport.list
curl https://global.mirrors.apqa.cn/proxmox/debian/pveport.gpg -o /etc/apt/trusted.gpg.d/pveport.gpg 
apt update && apt full-upgrade

apt install ifupdown2 -y
apt install proxmox-ve postfix open-iscsi -y

***
